ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Params Class Reference

This class provides basic functionalities for an ITS dictionary. More...

`#include <Params.hh>`

Inheritance diagram for Params:

## Public Member Functions
| Params ()
| Set to 1 to use SSL to communicate with the HTTP server. Default: false. More...
| Params (const Params &p_params)
| Copy constructor Clone an existing instance of a Params object. More...
virtual | ~Params ()
| Default destructor. More...
void | log () const
| Provides a dump of the content of this instance. More...
void | log ()
void | reset ()
| Reset the content of this instance. More...

## Static Public Member Functions
static void | convert (Params &p_param, const std::string p_parameters)
| Create a new instance of a Params object by converting a list of ITS parameters in string format (t1=v1,T2=(v0,v1v2)...) More...

## Static Public Attributes
static const std::string & | debug = std::string("debug")
static const std::string & | loopback = std::string("loopback")
| Set to 1 to enable the debug mode. More...
static const std::string & | mac_src = std::string("mac_src")
static const std::string & | mac_dst = std::string("mac_dst")
| Source MAC address parameter name. More...
static const std::string & | mac_bc = std::string("mac_bc")
| Destination MAC address parameter name. More...
static const std::string & | eth_type = std::string("eth_type")
| Broadcast MAC address parameter name. More...
static const std::string & | beaconing = std::string("beaconing")
| Ethernet type parameter name. More...
static const std::string & | station_type = std::string("station_type")
| Beaconing mode parameter name. More...
static const std::string & | country = std::string("country")
static const std::string & | type_of_address = std::string("type_of_address")
static const std::string & | ssp = std::string("ssp")
static const std::string & | its_aid = std::string("its_aid")
| SSP parameter name. More...
static const std::string & | gn_payload = std::string("gn_payload")
| ITS-AID parameter name. More...
static const std::string & | gn_next_header = std::string("gnNextHeader")
| GeoNetworking Payload parameter name. More...
static const std::string & | gn_header_type = std::string("gnHeaderType")
| GeoNetworking NextHeader parameter name. More...
static const std::string & | gn_header_sub_type = std::string("gnHeaderSubtype")
| GeoNetworking HeaderType parameter name. More...
static const std::string & | gn_lifetime = std::string("gnLifetime")
| GeoNetworking HeaderSubType parameter name. More...
static const std::string & | gn_traffic_class = std::string("gnTrafficClass")
| GeoNetworking Lifetime parameter name. More...
static const std::string & | btp_type = std::string("btp_type")
| GeoNetworking Traffic class parameter name. More...
static const std::string & | btp_payload = std::string("btp_payload")
| BTP Type parameter name. More...
static const std::string & | btp_destination_port = std::string("btpDestinationPort")
| BTP Payload parameter name. More...
static const std::string & | btp_info = std::string("btpInfo")
| BTP DestinationPort parameter name. More...
static const std::string & | nic = std::string("nic")
| BTP Info parameter name. More...
static const std::string & | ll_address = std::string("ll_address")
| Network Interface Card parameter name. More...
static const std::string & | latitude = std::string("latitude")
| Test system GeoNetworking LL-Address parameter name. More...
static const std::string & | longitude = std::string("longitude")
| Test system Latitude parameter name. More...
static const std::string & | expiry = std::string("expiry")
| Test system Longitude parameter name. More...
static const std::string & | device_mode = std::string("device_mode")
| Test system GeoNetworking Lifetime parameter name (in ms) More...
static const std::string & | secured_mode = std::string("secured_mode")
| To indicate to the lower layer to act as a standalone device. More...
static const std::string & | encrypted_mode = std::string("encrypted_mode")
| To indicate to the lower layer to apply signature on message exchanges as defined in IEEE 1609.2 & ETSI TS 102 965. More...
static const std::string & | enable_security_checks = std::string("enable_security_checks")
| To indicate to the lower layer to apply encryption on message exchanges as defined in IEEE 1609.2 & ETSI TS 102 965. More...
static const std::string & | sec_db_path = std::string("sec_db_path")
| To indicates if security check failures shall be treated as error or warning. More...
static const std::string & | certificate = std::string("certificate")
| Path to the folder containing certificates. More...
static const std::string & | hash = std::string("hash")
| The certificate identifier the Test System shall use. E.g. CERT_TS_A. More...
static const std::string & | signature = std::string("signature")
| The digest algorithm the Test System shall use, authorised values are SHA-256 or SHA-384. Default: SHA-256. More...
static const std::string & | cypher = std::string("cypher")
| The signature algorithm the Test System shall use, authorised values are NISTP-256, BP-256 and BP-384. Default: NISTP-256. More...
static const std::string & | distanceA = std::string("distanceA")
| The encryption algorithm the Test System shall use, authorised values are NISTP-256 and BP-256. Default: NISTP-256. More...
static const std::string & | distanceB = std::string("distanceB")
| Test system GeoNetworking DistanceA parameter name. More...
static const std::string & | angle = std::string("angle")
| Test system GeoNetworking DistanceB parameter name. More...
static const std::string & | payload_type = std::string("payload_type")
| Test system GeoNetworking Angle parameter name. More...
static const std::string & | next_header = std::string("next_header")
| Tyoe of payload, value is the ITS Conatainer message identifier or omitted in case of unknown payload. More...
static const std::string & | header_type = std::string("header_type")
| Upper layer settings. More...
static const std::string & | header_sub_type = std::string("header_sub_type")
| Upper layer settings. More...
static const std::string & | interface_id = std::string("interface_id")
| Upper layer settings. More...
static const std::string & | server = std::string("server")
| Commsignia antenna selector. More...
static const std::string & | port = std::string("port")
| HTTP server address (e.g. www.etsi.org) More...
static const std::string & | use_ssl = std::string("use_ssl")
| Commsignia HTTP server port. Default: 80. More...

## Detailed Description

This class provides basic functionalities for an ITS dictionary.

## Constructor & Destructor Documentation

## ◆ Params() [1/2]

Params::Params | ( |  | ) |
| inline

Set to 1 to use SSL to communicate with the HTTP server. Default: false.

Default constructor Create a new instance of the Params class

## ◆ Params() [2/2]

Params::Params | ( | const Params & | p_params | ) |
| inline explicit

Copy constructor Clone an existing instance of a Params object.

Parameters

  [in] | p_params | An existing instance of a Params object

## ◆ ~Params()

virtual Params::~Params | ( |  | ) |
| inline virtual

Default destructor.

## Member Function Documentation

## ◆ convert()

void Params::convert | ( | Params & | p_param,
|  | const std::string | p_parameters
| ) |  |
| static

Create a new instance of a Params object by converting a list of ITS parameters in string format (t1=v1,T2=(v0,v1v2)...)

Returns
  a new instance of a Params object

## ◆ log() [1/2]

void Params::log | ( |  | ) | const

Provides a dump of the content of this instance.

## ◆ log() [2/2]

void Params::log | ( |  | ) |

## ◆ reset()

void Params::reset | ( |  | ) |

Reset the content of this instance.

## Member Data Documentation

## ◆ angle

const std::string & Params::angle = std::string("angle")
| static

Test system GeoNetworking DistanceB parameter name.

## ◆ beaconing

const std::string & Params::beaconing = std::string("beaconing")
| static

Ethernet type parameter name.

## ◆ btp_destination_port

const std::string & Params::btp_destination_port = std::string("btpDestinationPort")
| static

BTP Payload parameter name.

## ◆ btp_info

const std::string & Params::btp_info = std::string("btpInfo")
| static

BTP DestinationPort parameter name.

## ◆ btp_payload

const std::string & Params::btp_payload = std::string("btp_payload")
| static

BTP Type parameter name.

## ◆ btp_type

const std::string & Params::btp_type = std::string("btp_type")
| static

GeoNetworking Traffic class parameter name.

## ◆ certificate

const std::string & Params::certificate = std::string("certificate")
| static

Path to the folder containing certificates.

## ◆ country

const std::string & Params::country = std::string("country")
| static

## ◆ cypher

const std::string & Params::cypher = std::string("cypher")
| static

The signature algorithm the Test System shall use, authorised values are NISTP-256, BP-256 and BP-384. Default: NISTP-256.

## ◆ debug

const std::string & Params::debug = std::string("debug")
| static

## ◆ device_mode

const std::string & Params::device_mode = std::string("device_mode")
| static

Test system GeoNetworking Lifetime parameter name (in ms)

## ◆ distanceA

const std::string & Params::distanceA = std::string("distanceA")
| static

The encryption algorithm the Test System shall use, authorised values are NISTP-256 and BP-256. Default: NISTP-256.

## ◆ distanceB

const std::string & Params::distanceB = std::string("distanceB")
| static

Test system GeoNetworking DistanceA parameter name.

## ◆ enable_security_checks

const std::string & Params::enable_security_checks = std::string("enable_security_checks")
| static

To indicate to the lower layer to apply encryption on message exchanges as defined in IEEE 1609.2 & ETSI TS 102 965.

## ◆ encrypted_mode

const std::string & Params::encrypted_mode = std::string("encrypted_mode")
| static

To indicate to the lower layer to apply signature on message exchanges as defined in IEEE 1609.2 & ETSI TS 102 965.

## ◆ eth_type

const std::string & Params::eth_type = std::string("eth_type")
| static

Broadcast MAC address parameter name.

## ◆ expiry

const std::string & Params::expiry = std::string("expiry")
| static

Test system Longitude parameter name.

## ◆ gn_header_sub_type

const std::string & Params::gn_header_sub_type = std::string("gnHeaderSubtype")
| static

GeoNetworking HeaderType parameter name.

## ◆ gn_header_type

const std::string & Params::gn_header_type = std::string("gnHeaderType")
| static

GeoNetworking NextHeader parameter name.

## ◆ gn_lifetime

const std::string & Params::gn_lifetime = std::string("gnLifetime")
| static

GeoNetworking HeaderSubType parameter name.

## ◆ gn_next_header

const std::string & Params::gn_next_header = std::string("gnNextHeader")
| static

GeoNetworking Payload parameter name.

## ◆ gn_payload

const std::string & Params::gn_payload = std::string("gn_payload")
| static

ITS-AID parameter name.

## ◆ gn_traffic_class

const std::string & Params::gn_traffic_class = std::string("gnTrafficClass")
| static

GeoNetworking Lifetime parameter name.

## ◆ hash

const std::string & Params::hash = std::string("hash")
| static

The certificate identifier the Test System shall use. E.g. CERT_TS_A.

## ◆ header_sub_type

const std::string & Params::header_sub_type = std::string("header_sub_type")
| static

Upper layer settings.

## ◆ header_type

const std::string & Params::header_type = std::string("header_type")
| static

Upper layer settings.

## ◆ interface_id

const std::string & Params::interface_id = std::string("interface_id")
| static

Upper layer settings.

## ◆ its_aid

const std::string & Params::its_aid = std::string("its_aid")
| static

SSP parameter name.

## ◆ latitude

const std::string & Params::latitude = std::string("latitude")
| static

Test system GeoNetworking LL-Address parameter name.

## ◆ ll_address

const std::string & Params::ll_address = std::string("ll_address")
| static

Network Interface Card parameter name.

## ◆ longitude

const std::string & Params::longitude = std::string("longitude")
| static

Test system Latitude parameter name.

## ◆ loopback

const std::string & Params::loopback = std::string("loopback")
| static

Set to 1 to enable the debug mode.

## ◆ mac_bc

const std::string & Params::mac_bc = std::string("mac_bc")
| static

Destination MAC address parameter name.

## ◆ mac_dst

const std::string & Params::mac_dst = std::string("mac_dst")
| static

Source MAC address parameter name.

## ◆ mac_src

const std::string & Params::mac_src = std::string("mac_src")
| static

## ◆ next_header

const std::string & Params::next_header = std::string("next_header")
| static

Tyoe of payload, value is the ITS Conatainer message identifier or omitted in case of unknown payload.

## ◆ nic

const std::string & Params::nic = std::string("nic")
| static

BTP Info parameter name.

## ◆ payload_type

const std::string & Params::payload_type = std::string("payload_type")
| static

Test system GeoNetworking Angle parameter name.

## ◆ port

const std::string & Params::port = std::string("port")
| static

HTTP server address (e.g. www.etsi.org)

## ◆ sec_db_path

const std::string & Params::sec_db_path = std::string("sec_db_path")
| static

To indicates if security check failures shall be treated as error or warning.

## ◆ secured_mode

const std::string & Params::secured_mode = std::string("secured_mode")
| static

To indicate to the lower layer to act as a standalone device.

## ◆ server

const std::string & Params::server = std::string("server")
| static

Commsignia antenna selector.

## ◆ signature

const std::string & Params::signature = std::string("signature")
| static

The digest algorithm the Test System shall use, authorised values are SHA-256 or SHA-384. Default: SHA-256.

## ◆ ssp

const std::string & Params::ssp = std::string("ssp")
| static

## ◆ station_type

const std::string & Params::station_type = std::string("station_type")
| static

Beaconing mode parameter name.

## ◆ type_of_address

const std::string & Params::type_of_address = std::string("type_of_address")
| static

## ◆ use_ssl

const std::string & Params::use_ssl = std::string("use_ssl")
| static

Commsignia HTTP server port. Default: 80.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/Params.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/Params.cc